﻿using System;
using System.Windows.Input;
#if CSHTML5
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Imaging;
#else
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Imaging;
#endif
namespace SharedProject1
{
    public class Library
    {
        static public void AddButton(Grid master)
        {
            master.Background = new SolidColorBrush(Color.FromArgb(0xFF, 0xFF, 0, 0));
            //
            Button button = CreateButton();
            master.Children.Add(button);
        }
        static public Button CreateButton()
        {
            Button button = new Button();
            button.Cursor = Cursors.Hand;
            button.Click += Button_Click;
            button.Height = 100d;
            button.Width = 400d;
            //
            Grid grid = new Grid();
            grid.Background = new SolidColorBrush(Color.FromArgb(0xAF, 0xAF, 0, 0));
            grid.ColumnDefinitions.Add(new ColumnDefinition() { Width = new GridLength(3, GridUnitType.Star) });
            grid.ColumnDefinitions.Add(new ColumnDefinition() { Width = new GridLength(27, GridUnitType.Star) });
            grid.RowDefinitions.Add(new RowDefinition() { Height = new GridLength(1, GridUnitType.Auto) });

            TextBlock textBlock = new TextBlock();
            textBlock.Background = new SolidColorBrush(Color.FromArgb(0x7F, 0x7F, 0, 0));
            textBlock.Text = "Go";
            Grid.SetColumn(textBlock, 0);
            Grid.SetRow(textBlock, 0);
            grid.Children.Add(textBlock);

            textBlock = new TextBlock();
            textBlock.Text = "Hello, PushMe!";
            Grid.SetColumn(textBlock, 1);
            Grid.SetRow(textBlock, 0);
            grid.Children.Add(textBlock);
            button.Content = grid;
            //
//            button.Cursor = Cursors.Hand;
            return button;
        }

        private static void Button_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Hello!", "Hi");
        }
    }
}
